simple_drop(1X)

NAME
simple_drop—Demonstrates how to add an XmNdestinationCallback to an XmDrawingArea widget

SYNOPSIS
simple_drop <pixmap_file>

DESCRIPTION
simple_drop illustrates how an application can add an XmNdestinationCallback to an XmDrawingArea widget.

You must specify the name of a pixmap_file as the only argument to simple_drop. The specified pixmap_file will be displayed in the Label widget.

You should drag the pixmap from the Label widget and drop it in the framed DrawingArea widget. The application extends the DrawingArea widget so that it can act as the destination for a pixmap transfer. After the pixmap has been successfully transferred, it will be displayed inside the DrawingArea.

For details on the code, see Chapter 17 of the "OSF/Motif Programmer's Guide."